Loading...
Searching...
No Matches
osmo_ss7_link.c File Reference
`#include <errno.h>`
`#include <osmocom/core/linuxlist.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/sigtran/osmo_ss7.h>`
`#include "ss7_link.h"`
`#include "ss7_linkset.h"`
`#include "ss7_internal.h"`

## Functions

void | ss7_link_destroy (struct osmo_ss7_link *link)
| Destroy SS7 Link.
struct osmo_ss7_link * | ss7_link_find_or_create (struct osmo_ss7_linkset *lset, uint32_t id)
| Find or create SS7 Link with given ID in given Linkset.

## Function Documentation

## ss7_link_destroy()

void ss7_link_destroy | ( | struct osmo_ss7_link * | link | ) |

Destroy SS7 Link.

Parameters

  [in] | link | SS7 Link to be destroyed

References osmo_ss7_link::cfg, osmo_ss7_linkset::cfg, osmo_ss7_link::id, osmo_ss7_linkset::inst, osmo_ss7_linkset::links, osmo_ss7_link::linkset, LOGSS7, osmo_ss7_linkset::name, and ss7_initialized.

Referenced by ss7_linkset_destroy().

## ss7_link_find_or_create()

struct osmo_ss7_link * ss7_link_find_or_create | ( | struct osmo_ss7_linkset * | lset,
|  | uint32_t | id
| ) |  |

Find or create SS7 Link with given ID in given Linkset.

Parameters

  [in] | lset | SS7 Linkset on which we operate
  [in] | id | Link number within Linkset

Returns
  pointer to SS7 Link on success; NULL on error

References osmo_ss7_link::cfg, osmo_ss7_linkset::cfg, osmo_ss7_link::id, osmo_ss7_linkset::inst, osmo_ss7_linkset::links, osmo_ss7_link::linkset, LOGSS7, osmo_ss7_linkset::name, and ss7_initialized.